Web lists-archives.com

Re: dovecot, openssl, TLS1.0




On Mon, Nov 05, 2018 at 02:29:51PM +0100, Jan Foniok wrote:
> Hi,
> 
> Apple Mail on El Capitan doesn't seem to support protocols TLS higher than 1.0 or 1.1.
> Older hardware (9 years) is not supported by newer MacOS versions.
> 
> A recent update of debian seems to have disabled these protocols for dovecot imap.
> 
> What is the best way out? Can TLS1.0 and 1.1 be enabled?

/etc/dovecot/conf.d/10-ssl.conf contains "ssl_protocols" variable that can
be used to specify announced TLS versions.
If it fails to work for you - it's probably possible to 'solve' the
problem by downgrading "libssl1.1".
Of course that also means opening your server to all kinds of
exploitation, so replacing this "Apple Mail" with actual e-mail client
is definitely the way to go.

Reco